/*
 *  $Id: mperror.c,v 1.4 1993/11/12 12:35:07 doss Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

#include "mpi.h"

int MPIR_Error( comm, code, string, file, line )
MPI_Comm comm;
int              code, line;
char             *string, *file;
{
if (!comm) 
    comm = MPI_COMM_WORLD;
if (!comm || comm->error_mode == MPI_ERRORS_FATAL) {
    MPI_abort( code );
    }
else if (comm->error_mode == MPI_ERRORS_RETURN) {
    return code;
    }
/* Call user routine */
return (*comm->error_handler)( code, string, comm, file, line );
}

MPI_abort( code )
int code;
{
/* MPID_abort( code ); */
abort( code );
}
